local function add_structure(f)
	if(f) then
		f.shape_table_data = 
		{
			{
				file  	    = f.ShapeName,
				life		= f.Life,
				username    = f.Name,
				desrt       = f.ShapeNameDestr or "self",
			    classname 	= f.classname   or "lLandVehicle",
				positioning = f.positioning or "ADD_HEIGTH" -- {"BYNORMAL", "ONLYHEIGTH", "BY_XZ", "ADD_HEIGTH"}
			}
		}
		if f.ShapeNameDestr then
			f.shape_table_data[#f.shape_table_data + 1] = 
			{
				name  = f.ShapeNameDestr,
				file  = f.ShapeNameDestr,	
			}
		end
				
		f.mapclasskey = "P0091000076";
		f.attribute = {wsType_Static, wsType_Standing}
		add_surface_unit(f)
		GT = nil;
	else
		error("Can't add structure")
	end;
end

local function add_personnel(f)
	if(f) then
		f.shape_table_data = 
		{
			{
				file  	    = f.ShapeName,
				life		= f.Life,
				username    = f.Name,
				desrt       = f.ShapeNameDestr or "self",
			    classname 	= "lHuman",
				positioning = f.positioning or "BYNORMAL"	--available: {"BYNORMAL", "ONLYHEIGTH", "BY_XZ", "ADD_HEIGTH"}
			}
		}
		if f.ShapeNameDestr then
			f.shape_table_data[#f.shape_table_data + 1] = 
			{
				name  = f.ShapeNameDestr,
				file  = f.ShapeNameDestr,	
			}
		end

		f.mapclasskey = "P0091000201";
		f.attribute = {wsType_Static, wsType_Standing} 
		
		add_surface_unit(f)
		GT = nil;
	else
		error("Can't add personnel")
	end;
end

add_structure({
Name 		 =  "M92_Lights",               				-- M92_Lights
DisplayName  = _("M92_Lights_12m(HangarFront)"),
ShapeName	 =   "M92_Lights",
ShapeNameDestr = "M92_Lights_dst",
Life		 =  1,
Rate		 =  1,
category     =  'Fortification',
SeaObject    = 	false,
isPutToWater =  false,
})
add_structure({
Name 		 =  "M92_Lights_2",               				-- M92_Lights_2
DisplayName  = _("M92_Lights_22m(LightTower)"),
ShapeName	 =   "M92_Lights_2",
ShapeNameDestr = "M92_Lights_dst",
Life		 =  1,
Rate		 =  1,
category     =  'Fortification',
SeaObject    = 	false,
isPutToWater =  false,
})
add_structure({
Name 		 =  "M92_Lights_3",               				-- M92_Lights_3
DisplayName  = _("M92_Lights_9m(HangarTOP)"),
ShapeName	 =   "M92_Lights_3",
ShapeNameDestr = "M92_Lights_dst",
Life		 =  1,
Rate		 =  1,
category     =  'Fortification',
SeaObject    = 	false,
isPutToWater =  false,
})
---------------- Personnel------------
add_personnel({
Name 		 =  "M92_Personnel01_PBR",                -- M92_Personnel01_PBR
DisplayName  = _("M92_Personnel_Stand1"),
ShapeName	 =   "M92_Personnel01_PBR",
ShapeNameDestr = "M92_crew_dst",
Life		 =  1,
Rate		 =  1,
category     =  'Personnel',--Fortification
SeaObject    = 	false,
isPutToWater =  false,
})
add_personnel({
Name 		 =  "M92_Personnel02_PBR",                -- M92_Personnel02_PBR
DisplayName  = _("M92_Personnel_salute"),
ShapeName	 =   "M92_Personnel02_PBR",
ShapeNameDestr = "M92_crew_dst",
Life		 =  1,
Rate		 =  1,
category     =  'Personnel',--Fortification
SeaObject    = 	false,
isPutToWater =  false,
})
add_personnel({
Name 		 =  "M92_Personnel03_PBR",                -- M92_Personnel03_PBR
DisplayName  = _("M92_Personnel_Stop"),
ShapeName	 =   "M92_Personnel03_PBR",
ShapeNameDestr = "M92_crew_dst",
Life		 =  1,
Rate		 =  1,
category     =  'Personnel',--Fortification
SeaObject    = 	false,
isPutToWater =  false,
})
add_personnel({
Name 		 =  "M92_Personnel04_PBR",                -- M92_Personnel04_PBR
DisplayName  = _("M92_Personnel_hands_over_head"),
ShapeName	 =   "M92_Personnel04_PBR",
ShapeNameDestr = "M92_crew_dst",
Life		 =  1,
Rate		 =  1,
category     =  'Personnel',--Fortification
SeaObject    = 	false,
isPutToWater =  false,
})
add_personnel({
Name 		 =  "M92_Personnel05_PBR",                -- M92_Personnel05_PBR
DisplayName  = _("M92_Personnel_stand2"),
ShapeName	 =   "M92_Personnel05_PBR",
ShapeNameDestr = "M92_crew_dst",
Life		 =  1,
Rate		 =  1,
category     =  'Personnel',--Fortification
SeaObject    = 	false,
isPutToWater =  false,
})
add_personnel({
Name 		 =  "M92_Personnel06_PBR",                -- M92_Personnel06_PBR
DisplayName  = _("M92_Personnel_stand3"),
ShapeName	 =   "M92_Personnel06_PBR",
ShapeNameDestr = "M92_crew_dst",
Life		 =  1,
Rate		 =  1,
category     =  'Personnel',--Fortification
SeaObject    = 	false,
isPutToWater =  false,
})
add_personnel({
Name 		 =  "M92_Personnel07_PBR",                -- M92_Personnel07_PBR
DisplayName  = _("M92_Personnel_stand4"),
ShapeName	 =   "M92_Personnel07_PBR",
ShapeNameDestr = "M92_crew_dst",
Life		 =  1,
Rate		 =  1,
category     =  'Personnel',--Fortification
SeaObject    = 	false,
isPutToWater =  false,
})